Subject: bug#75181: Activating explicit buttons does not work inside indirect narrowed org buffers

From: Mats Lidell <[email-masked]>
Date: Tue, 07 Jan 2025 23:16:52 +0100

Hi Julian,

> Mats Lidell writes:
> Hi Julian,
>
> > Julian Hoch via Bug-hyperbole via writes:
> > I use:  Editor:      GNU Emacs 29.4 with native comp
> >         Hyperbole:   9.0.2pre
> >         Sys Type:    x86_64-pc-linux-gnu
> >         OS Type:     gnu/linux
> >         Window Sys:  x
> >         News Reader: Gnus v5.13
> >         Install:     melpa, 20241217.813
> >
> > Hi,
> >
> > not sure if this is truly a bug or more a feature request.  I use
> > explicit buttons inside org files, and then use the "Act" command to
> > activate them.
> >
> > However, this does not work if I use the command
> > "org-tree-to-indirect-buffer" to narrow to an org tree.  I assume this
> > is due to the fact that the resulting buffer gets a postfix added to its
> > name with the name of the header (so it is "filename::header"
> > afterwards).
> >
> > I wonder if the button activation could be adjusted so that it also
> > works in such subtree buffers?
>
> Thanks for suggesting this idea. We don't have support for indirect buffers
> now. Looking quickly at it, it seems it could be possible to use the function
> buffer-base-buffer to understand what is going on. Might even be a small
> change but we need to check the details.
>
> Will add it as a feature request.

We think we have solved the issue. With the latest elpa devel package,
https://elpa.gnu.org/devel/hyperbole.html,
(hyperbole-9.0.2pre0.20250105.123756.tar) we now support indirect buffers.

A minor remaining issue is that highlighting when creating a new explicit
button will not work expect for in the buffer where the button is created. But
everything else should work. Please give it a try.

%% Mats